{
  "name": "csf-web",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "dev": "next dev",
    "dev:prod": "cross-env NODE_ENV=production next dev",
    "build": "next build",
    "build:dev": "cross-env NODE_ENV=development next build",
    "build:prod": "next build",
    "start": "next start",
    "start:dev": "cross-env NODE_ENV=development next start",
    "lint": "next lint",
    "lint:fix": "npm run lint -- --fix",
    "prettier": "npx prettier src --check",
    "prettier:fix": "npm run prettier -- --write",
    "format": "npm run prettier:fix && npm run lint:fix"
  },
  "dependencies": {
    "@amap/amap-jsapi-loader": "^1.0.1",
    "@ant-design/cssinjs": "^1.17.2",
    "@ant-design/icons": "^5.2.6",
    "@reduxjs/toolkit": "^1.9.7",
    "@types/styled-components": "^5.1.29",
    "antd": "^5.11.0",
    "axios": "^1.6.0",
    "babel-plugin-styled-components": "^2.1.4",
    "big.js": "^6.2.1",
    "dayjs": "^1.11.10",
    "env-cmd": "^10.1.0",
    "js-base64": "^3.7.5",
    "js-cookie": "^3.0.5",
    "next": "^14.0.4",
    "next-redux-wrapper": "^8.1.0",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "react-infinite-scroll-component": "^6.1.0",
    "react-redux": "^8.1.3",
    "redux": "^4.2.1",
    "redux-persist": "^6.0.0",
    "styled-components": "^6.1.0",
    "swiper": "^11.0.5"
  },
  "devDependencies": {
    "@types/big.js": "^6.2.0",
    "@types/js-cookie": "^3.0.5",
    "@types/node": "^20",
    "@types/react": "^18.2.37",
    "@types/react-dom": "^18.2.15",
    "@typescript-eslint/eslint-plugin": "^6.10.0",
    "@typescript-eslint/parser": "^6.10.0",
    "autoprefixer": "^10.4.16",
    "cross-env": "^7.0.3",
    "eslint": "^8",
    "eslint-config-airbnb-base": "^15.0.0",
    "eslint-config-airbnb-typescript": "^17.1.0",
    "eslint-config-next": "^14.0.4",
    "eslint-config-prettier": "^9.0.0",
    "eslint-plugin-prettier": "^5.0.1",
    "eslint-plugin-unused-imports": "^3.0.0",
    "postcss": "^8.4.32",
    "prettier": "^3.0.3",
    "prettier-plugin-tailwindcss": "^0.5.10",
    "sass": "^1.69.5",
    "tailwindcss": "^3.4.0",
    "typescript": "^5"
  }
}
